Built for Business - Learn more about BlackBerry KEY2
04-18-09 09:44 PM
49 12
tools
  1. djm1947's Avatar
    Try bypassing DM and install from AppLoader instead.

    Go back to Program Files/common files/Research in Motion/AppLoader

    and double click Loader.exe.

    Be sure to close DM before proceeding.
    04-17-09 11:50 AM
  2. pkcable's Avatar
    I was JUST about to point them to your new tutorial. The problem is (and I learned this from ANOTHER CX thread), that DM 4.7 has this auto update feature that gets installed by default and it loads up it's own vendor.xml file when it doesn't find one on your computer and that vendor file tells DM not to look at non Verizon version (basically, I'm sure CX understands this MUCH better than I). The solution is to uninstall that feature, that is modify the DM 4.7 install to NOT load the auto update module. That can be complicated for some, the perhaps easier thing to do is to bypass DM altogether and just use the app loader program itself to install your OSs. CX explains how to do that his his new tutorial he posted about.

    EDIT: The reason you were able to install the beta/leaked version is that they have a generic vendor.xml file, BUT when you use another carriers release and you have to delete their vendor file, THAT is when DM 4.7's auto update crap kicks in.
    Last edited by pkcable; 04-17-09 at 11:54 AM. Reason: adding more info
    04-17-09 11:52 AM
  3. gnatmed's Avatar
    Having the exact same problem!! doing all the suggestions...i have upgraded my os twice before and never have i had this problem. help!
    04-17-09 11:52 AM
  4. eclevengood's Avatar
    Try bypassing DM and install from AppLoader instead.

    Go back to Program Files/common files/Research in Motion/AppLoader

    and double click Loader.exe.

    Be sure to close DM before proceeding.
    Questions DJM-- I just downloaded the file today...shouldnt the loader file..and the other loader listed items also have a date of today? They list 3/9/09..which I am not sure why.
    04-17-09 11:52 AM
  5. pkcable's Avatar
    Questions DJM-- I just downloaded the file today...shouldnt the loader file..and the other loader listed items also have a date of today? They list 3/9/09..which I am not sure why.
    Could be the date the file was created. I would not worry about it. As long as you follow CX's proceedure, and use loader directly you will be fine.
    04-17-09 11:57 AM
  6. JRSCCivic98's Avatar
    What bad thing happens if you don't? Or is it just random problems?
    This is what happens. Messed up installs and DM looses its mind.

    OP, uninstall all things Blackberry from your PC (use Windows Installer Cleanup Tool if you have to), install DM4.6 and .122 exe and update the phone. Problem solved, stop wasting your time with this.

    Posted from my CrackBerry at wapforums.crackberry.com
    04-17-09 12:05 PM
  7. gnatmed's Avatar
    followed the procedure above...literally tried everything!! grr
    04-17-09 12:17 PM
  8. TheComebackKidd's Avatar
    I was JUST about to point them to your new tutorial. The problem is (and I learned this from ANOTHER CX thread), that DM 4.7 has this auto update feature that gets installed by default and it loads up it's own vendor.xml file when it doesn't find one on your computer and that vendor file tells DM not to look at non Verizon version (basically, I'm sure CX understands this MUCH better than I). The solution is to uninstall that feature, that is modify the DM 4.7 install to NOT load the auto update module. That can be complicated for some, the perhaps easier thing to do is to bypass DM altogether and just use the app loader program itself to install your OSs. CX explains how to do that his his new tutorial he posted about.

    EDIT: The reason you were able to install the beta/leaked version is that they have a generic vendor.xml file, BUT when you use another carriers release and you have to delete their vendor file, THAT is when DM 4.7's auto update crap kicks in.
    This is why you must NOT be connected to the net BEFORE launching DM to bypass the auto updater.

    If this doesn't work for some people I don't know but I got it to work this way. Installing 4.6 is fine but not necessarily needed to solve this issue

    Posted from my CrackBerry at wapforums.crackberry.com
    Last edited by TheComebackKidd; 04-17-09 at 12:56 PM.
    04-17-09 12:53 PM
  9. pkcable's Avatar
    This is why you must NOT be connected to the net BEFORE launching DM to bypass the auto updater.

    If this doesn't work for some people I don't know but I got it to work this way. Installing 4.6 is fine but not necessarily needed to solve this issue

    Posted from my CrackBerry at wapforums.crackberry.com
    That's another way to get around the auto update issue (I just removed that feature per CX's instructionsa from another thread) but the problem is it's tough for some folks to disconnect from the net IF they are novices and if they have wireless connections. Perhaps some folks are just better off waiting for VZW to put out an update.
    04-17-09 01:07 PM
  10. hillbillytrav's Avatar
    This is no joke folks. I have changed OS's on the Storm and many WM phones before this. This is the first time I have EVER ran into this type of problem. I have downloaded and redownloaded, installed reinstalled, wiped, formatted, all sorts of stuff. Nothing gets this thing to work for me. I am now trying on a different computer for s&g. Let you know how it goes.
    04-17-09 01:26 PM
  11. eclevengood's Avatar
    This is no joke folks. I have changed OS's on the Storm and many WM phones before this. This is the first time I have EVER ran into this type of problem. I have downloaded and redownloaded, installed reinstalled, wiped, formatted, all sorts of stuff. Nothing gets this thing to work for me. I am now trying on a different computer for s&g. Let you know how it goes.
    Im still at it trying to figure this out as well...i just put 4.6 on and did everything again...still nothing...it tells me there is no upgrade....i have done the loader..and also through DM. What is interesting though...on the DM if I go to Help.... About ..and Device(at the top right corner).....it shows me that the only operating system i have installed is the new....122. But yet..can not get it to install on the phone or even be acknowledged that it exists when trying to update.
    04-17-09 01:45 PM
  12. starjoy's Avatar
    Have to add that I also tried all of this...to no avail. Disconnecting my net connection on DM 4.7, ...uninstalling all installs, uninstalling DM 4.7, installing dm 4.6, running from apploader, etc...still didn't recognize my .122 installation. Done on a Vista machine. All previous betas installed without a hitch. Guess I'll just uninstall all, re-install .113 and COPY over the .122 files as before. Very easy that way!
    04-17-09 02:32 PM
  13. patches152's Avatar
    with 4.6 sometimes i'd have to run DM "as administrator". try that maybe? i'm loading 4.6 today, removing 4.7 and see if that helps. its weird though, it shows up on the list, but when i click "next" it says "no updates available"
    04-17-09 03:28 PM
  14. Rags1214's Avatar
    Put DM 4.6 back on re installed 122, again did the whole process. Delete vendor, go to loader and the only thing that shows up are the third party stuff. So I checked in DM had internet disconnected and .122 doesn't show there either. I'm out of ideas. Im running Vista as well
    Last edited by Rags1214; 04-17-09 at 05:05 PM. Reason: Add:
    04-17-09 05:01 PM
  15. starjoy's Avatar
    Put DM 4.6 back on re installed 122, again did the whole process. Delete vendor, go to loader and the only thing that shows up are the third party stuff. So I checked in DM had internet disconnected and .122 doesn't show there either. I'm out of ideas

    Posted from my CrackBerry at wapforums.crackberry.com
    Rags...ditto here...same as you. What other common denominator is present in our installations that differs from all the others that have succeeded??? Wonder if we need to uninstall everything....then downgrade to .75 and THEN try the full BELL .122...?? Been deleting vendor.xml files like a madman!
    04-17-09 05:07 PM
  16. patches152's Avatar
    Mine is a fru. Still on .75. Its gotta be the 4.7/.122 combo. Try 4.6.

    Posted from my CrackBerry at wapforums.crackberry.com
    04-17-09 05:09 PM
  17. Crucial_Xtreme's Avatar
    Put DM 4.6 back on re installed 122, again did the whole process. Delete vendor, go to loader and the only thing that shows up are the third party stuff. So I checked in DM had internet disconnected and .122 doesn't show there either. I'm out of ideas. Im running Vista as well
    I'm not sure what the problem is. First, go to the Control Panel and remove any BlackBerry Device software. Then download and install .122. The delete the Vendor.xml file. Unplug the ethernet cable from your computer. Reboot the computer. Go to C:\ProgramFiles\CommonFiles\ResearchInMotion\Applo ader and double click the Loader.exe file.

    After it loads you need to 1. Go to Control Panel >Add/Remove Programs.
    2. Click on "BlackBerry Desktop Software" and select "Change/Remove."
    3. When prompted, hit "Next" and then you should get options for Modify, Repair, or Remove. Choose "Modify."
    4. On DM 4.7 and higher, in the list of installed items, you should see "BlackBerry Automatic Update." Click the icon next to it and change it to "This feature will not be available." That should put an "X" next to "BlackBerry Automatic Update." If you are using DM 4.6 or lower and don't see this option in this list then just continue with the install and the installation will ask you a few screens later. A screen will be shown where you will be asked to check the boxes for:

    A) "Start BlackBerry Desktop Manager automatically each time the computer starts."
    B) "Create a shortcut for BlackBerry Desktop Manager on the Windows Desktop."
    C) "Check for software updates."

    Be sure number 3, "Check for software updates," is NOT checked.


    Edit: There is NO NEED to have the DM check for updates. You'll know when the latest OS is out.
    04-17-09 05:10 PM
  18. Rags1214's Avatar
    I GOT IT!!!!!!!!!

    After installing .122 went and deleted vendor.exe, restarted computer. Once it turned back on i opened apploader file, RIGHT CLICK LOADER FILE AND RUN AS ADMINISTRATOR. It showed core apps it took about a half hour, phone restarted and is running .122....after all this i hope i like this
    04-17-09 07:36 PM
  19. eclevengood's Avatar
    I GOT IT!!!!!!!!!

    After installing .122 went and deleted vendor.exe, restarted computer. Once it turned back on i opened apploader file, RIGHT CLICK LOADER FILE AND RUN AS ADMINISTRATOR. It showed core apps it took about a half hour, phone restarted and is running .122....after all this i hope i like this
    Rags... you are the ****!....... Its loading now............would have never guessed to do that.....thank you!
    Last edited by eclevengood; 04-17-09 at 08:55 PM.
    04-17-09 08:49 PM
  20. Rags1214's Avatar
    No problem glad we both could solve this. Enjoy

    Posted from my CrackBerry at wapforums.crackberry.com
    04-17-09 08:54 PM
  21. Tifoso's Avatar
    Mine was having issues finding the .122 file as well.

    I fixed this by uninstalling (not deleting) ALL traces of anything related to Blackberry via the control panel. This process took a good 30 minutes to delete .65 and .75.

    I rebooted my computer.

    I double clicked on the .122 exe file after connecting my device to the usb and away it went.

    I did not and have never deleted the vendor file in any leak that I have loaded and they've always loaded fine.
    04-17-09 08:57 PM
  22. starjoy's Avatar
    Rags...and Crucial...THANKS! Worked beautifully...followed both of your suggestions...all set.

    Thanks again!
    04-18-09 12:27 AM
  23. hillbillytrav's Avatar
    I ended up installing it from my XP desktop instead of the Vista laptop I usually use with no problem. I will have to try the Run As Administrator next time. Good job everybody!
    04-18-09 09:00 PM
  24. gzaha's Avatar
    I've been having the same problem for a week now and it's been driving me crazy!! I right clicked and hit RUN AS ADMINISTRATOR and now my phone is loading the .122 software!! I really can't believe it! Thanks!!!!!!
    04-18-09 09:44 PM
49 12
LINK TO POST COPIED TO CLIPBOARD